import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiRgGetResultModel(
    _base.BaseAPIResultModel,
    _nested.ResourceGroupAPIResultNM,
):
    pass


class CloudapiRgGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        rg_id: int,
    ) -> CloudapiRgGetResultModel:
        ...
